%define version 1.0.9
%define name fltk
%define release 2mdk

Summary: Fast Light Too Kit (FLTK)
Name: %{name}
Version: %{version}
Release: %{release}
Group: System/Libraries
Copyright: LGPL
Source: %{name}-%{version}-source.tar.bz2
URL: http://www.fltk.org
Patch: fltk-1.0.9-makefile.patch.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: /usr

%description
The Fast Light Tool Kit ("FLTK", pronounced "fulltick") is a LGPL'd
C++ graphical user interface toolkit for X (UNIX(r)), OpenGL(r),
and Microsoft(r) Windows(r) NT 4.0, 95, or 98. It was originally
developed by Mr. Bill Spitzak and is currently maintained by a
small group of developers across the world with a central
repository in the US.

%package devel
Summary: Fast Light Too Kit (FLTK) - development environment
Group: Development/C

%description devel
The Fast Light Tool Kit ("FLTK", pronounced "fulltick") is a LGPL'd
C++ graphical user interface toolkit for X (UNIX(r)), OpenGL(r),
and Microsoft(r) Windows(r) NT 4.0, 95, or 98. It was originally
developed by Mr. Bill Spitzak and is currently maintained by a
small group of developers across the world with a central
repository in the US.

Install fltk-devel if you need to develop FLTK applications.  You'll
need to install the fltk package if you plan to run dynamically linked
applications.

%prep
rm -rf $RPM_BUILD_ROOT

%setup
%patch -p0

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" LDFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix} --enable-shared
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
mv $RPM_BUILD_ROOT%{_datadir}/doc/fltk \
	$RPM_BUILD_ROOT%{_datadir}/doc/fltk-devel-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README COPYING CHANGES
%{_libdir}/libfltk*.so.*

%files devel
%defattr(-,root,root)
%docdir %{_datadir}/doc/fltk-devel-%{version}
%{_datadir}/doc/fltk-devel-%{version}
%{_includedir}/FL
%{_bindir}/*
%{_libdir}/libfltk*.so
%{_libdir}/libfltk*.a

%changelog
* Wed Aug 30 2000 Franois Pons <fpons@mandrakesoft.com> 1.0.9-2mdk
- macroszifications.
- rename standard doc dir of devel package according the BM.

* Thu Jul 06 2000 Franois Pons <fpons@mandrakesoft.com> 1.0.9-1mdk
- 1.0.9.
- merged some of fltk.spec provided by package.
- patch makefile to allow passing variable to make.
- fix install stage (build as normal user).

* Wed Apr 26 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.7-3mdk
- fix group
- fix permission on sources

* Thu Mar 02 2000 Lenny Cartier <lenny@mandrakesoft.com>
- fix the location of files

* Wed Jan 19 2000 Lenny Cartier <lenny@mandrakesoft.com>
- v 1.0.7

* Mon Jan 10 2000 Sean P. Kane <spkane@home.com>
- Added ChangeLog
- Upgraded to version 1.07

